> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeAdditionalCompensations

> The `removeAdditionalCompensations` API is used to remove additional compensation entries for an employee in a pay period.

### When to use:
- When correcting additional compensation mistakes before payroll submission
- When removing specific compensation types (bonuses, commissions, etc.)

### Notes:
- Pay period must be in an editable state (see the 'Payroll Processing` guide)
- All additionalCompensations are removed if compensationDescription is not included in the request
- Automatically updates earnings calculations after removal



## OpenAPI

````yaml post /payroll/removeAdditionalCompensations
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /payroll/removeAdditionalCompensations:
    post:
      tags: []
      summary: removeAdditionalCompensations
      description: >-
        The `removeAdditionalCompensations` API is used to remove additional
        compensation entries for an employee in a pay period.


        ### When to use:

        - When correcting additional compensation mistakes before payroll
        submission

        - When removing specific compensation types (bonuses, commissions, etc.)


        ### Notes:

        - Pay period must be in an editable state (see the 'Payroll Processing`
        guide)

        - All additionalCompensations are removed if compensationDescription is
        not included in the request

        - Automatically updates earnings calculations after removal
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                userId:
                  type: string
                compensationDescription:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
                - userId
            example:
              method: removeAdditionalCompensations
              companyId: 3A08507F-E78B-4ABF-98D8-87D382E7CE14
              payPeriodId: 43CCBBDF-8CF3-472E-874D-888E7911BB1F
              userId: 5F45CFBA-4AED-41AF-B334-E02D23BA17AE
              compensationDescription: Bonus
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  removeAdditionalCompensationOnly:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - removeAdditionalCompensationOnly
              examples:
                '1':
                  summary: Example 1
                  value:
                    removeAdditionalCompensationOnly:
                      status: Success
                      message: >-
                        Bonus additional compensation has been removed
                        successfully.
                '2':
                  summary: Example 1
                  value:
                    error:
                      code: 400
                      message: UserId is mandatory
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: UserId is mandatory
          headers: {}
      deprecated: false
      security: []

````